List Projects
GET
/api/v1/workspaces/{workspace_id}/projects
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/projects?per=10&page=1&sort=created_at_asc';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/projects?per=10&page=1&sort=created_at_asc' \ --header 'Authorization: Bearer <token>'Retrieves the projects the user has access to.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace_id
required
integer
Workspace ID
Query Parameters
Section titled “Query Parameters”per
integer
Number of records per page
page
integer
Page number
team_id
integer
Filter projects by team ID
search
string
Filter projects by name
sort
string
Sorting
Responses
Section titled “Responses”Successful
Media typeapplication/json
object
results
required
Array<object>
object
id
required
integer
name
required
string
created_at
required
string format: date-time
updated_at
string format: date-time
description
string
organization_id
required
integer
team_id
required
integer
team
required
object
id
required
integer
name
required
string
badge_color
required
string
workspace_id
required
integer
created_at
required
string format: date-time
default_email_design_system_id
Default Email Design System ID for new emails
integer
default_brand_profile_id
Default Brand Profile ID for new emails (must belong to the default EDS)
integer
default_layout_id
Default Layout ID for new emails (must belong to the default EDS)
integer
pagination
required
object
per
required
integer
page
required
integer
total
required
integer
Example
{ "results": [ { "id": 12345, "name": "Black Friday 2023", "created_at": "2023-08-23T10:30:00.000Z", "updated_at": "2023-08-23T10:30:00.000Z", "description": "Black Friday 2023 Marketing Campaign", "organization_id": 12345, "team_id": 12345, "team": { "id": 12345, "name": "Liverpool FC", "badge_color": "white", "workspace_id": 12345, "created_at": "2023-08-23T10:30:00.000Z" }, "default_email_design_system_id": 1, "default_brand_profile_id": 1, "default_layout_id": 1 } ], "pagination": { "per": 10, "page": 1, "total": 100 }}